* {
  box-sizing: border-box;
}

/* logic for dropdown */
.dropdown:hover .dropdown-menu {
  display: block !important;
}

.btn-cta {
  border: 1px solid #ededed;
  box-sizing: border-box;
  white-space: nowrap !important;
}
.dark-mode .light-img {
  display: none;
}
.dark-mode .dark-img {
  display: block;
}
.dark-img {
  display: none;
}
.light-img {
  display: block;
}

.disable-scrollbars::-webkit-scrollbar {
  background: transparent; /* Chrome/Safari/Webkit */
  width: 0px;
}

.disable-scrollbars {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE 10+ */
}

.nuxt-content {
  @apply break-words;

  & h2,
  & h3 {
    /* Fix anchor scrollTo */
    &::before {
      display: block;
      content: ' ';
      margin-top: -85px;
      height: 85px;
      visibility: hidden;
      pointer-events: none;
    }

    /* Style anchor links on headings added by @nuxt/content */
    & > a {
      @apply ml-5;

      &::before {
        content: '🔗';
        @apply text-primary-500 absolute pr-2 -ml-6 text-xl font-normal leading-8 opacity-100;
      }

      @apply lg:ml-0;
      &::before {
        @apply lg:opacity-0;
      }
    }
    &:hover {
      & > a::before {
        @apply opacity-100;
      }
    }
  }

  & .nuxt-content-highlight {
    @apply relative;

    /* Style filename span added by @nuxt/content */
    & > .filename {
      @apply absolute top-0 right-0 z-10 mt-3 mr-4 font-mono text-sm leading-none tracking-tight text-gray-100;
    }

    /* Add top padding to code blocks with filename */
    & > .filename + pre[class*='language-'] {
      @apply pt-8;
    }

    /* Style copy button added in `pages/_.vue` */
    & > .copy {
      @apply absolute bottom-0 right-0 hidden px-2 py-2 mb-3 mr-3 text-sm font-semibold leading-none text-white uppercase bg-gray-800 border border-white rounded-md shadow-lg;

      &:hover {
        @apply bg-gray-700;
      }

      &:focus {
        @apply bg-gray-600 outline-none;
      }
    }
    &:hover {
      & > .copy {
        @apply block;
      }
    }
  }

  /* Force style on pre elements */
  & pre[class*='language-'] {
    /* Make pre static so the relative goes to the parent (.nuxt-content-highlight) */
    @apply static bg-gray-800;
  }
}

.page-enter-active,
.page-leave-active {
  transition: all 0.2s;
  filter: inherit;
}

.page-enter,
.page-leave-to {
  opacity: 0;
  filter: blur(10px);
}

.prose img {
  margin-top: 0;
  margin-bottom: 0;
}

@media (max-width: 599px) {
  .container {
    max-width: 599px !important;
  }
}
@media (min-width: 600px) {
  .container {
    max-width: 500px !important;
  }
}

@media (min-width: 700px) {
  .container {
    max-width: 600px !important;
  }
}

@media (min-width: 800px) {
  .container {
    max-width: 700px !important;
  }
}

@media (min-width: 900px) {
  .container {
    max-width: 800px !important;
  }
}
@media (min-width: 1000px) {
  .container {
    max-width: 900px !important;
  }
}
@media (min-width: 1100px) {
  .container {
    max-width: 1000px !important;
  }
}
@media (min-width: 1200px) {
  .container {
    max-width: 1100px !important;
  }
}
@media (min-width: 1400px) {
  .container {
    max-width: 1300px !important;
  }
}
@media (min-width: 1600px) {
  .container {
    max-width: 1500px !important;
  }
}
@media (min-width: 1800px) {
  .container {
    max-width: 1700px !important;
  }
}
@media (min-width: 2000px) {
  .container {
    max-width: 1900px !important;
  }
}
